<template>
	<view>
		<status-nav :ifReturn="false" navBarTitle="完成" :marginBottom="0"></status-nav>
		<view class="finish-content">
			<view class="finish-img">
				<image :src="imgsrc" mode="widthFix"></image>
			</view>
			<view class="finish-code">订单：{{orderCode}}</view>
			<view class="finish-title">已完成提交</view>
			<view class="finish-tips">
				<view>请扫描二维码添加微信告知您的订单</view>
				<view>号并支付定金 ，发货前请支付尾款。</view>
				<!-- <rich-text :nodes="richText"></rich-text> -->
			</view>
			<view @tap="saveImg" class="cope-btn">保存二维码</view>
			<view @tap="goShop" class="shoping-btn">继续购物</view>
		</view>
		<!-- 客服btn -->
		<customer-service></customer-service>
	</view>
</template>

<script>
	import statusNav from '@/components/status-navs/status-nav';
	import customerService from '@/components/customer-service/customer-service.vue';
	export default {
		components:{
			statusNav,
			customerService
		},
		data() {
			return {
				imgsrc:'',
				orderCode:'',//订单号
			}
		},
		onLoad(op) {
			this.orderCode = op.coding;
			this.$requst.get('/api/user/business-qr',{id:op.id}).then(res=>{
				if(res.code==0) {
					this.imgsrc = res.data.qr;
				}
			})
		},
		methods: {
			// 提交
			submit(){
				if(this.checkEmpty() && this.flag){
					this.flag = false;
				}
			},
			// 继续购物
			goShop(){
				uni.navigateTo({
					url:'/pages/tabbar/cate/cate'
				})
			},
			// 保存二维码
			saveImg(){
				this.$toolAll.tools.saveImg(this.imgsrc);
			}
		}
	}
</script>

<style>
	
</style>
